libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
gsm411_smr_inst Struct Reference
Short Message Service (SMS)

`#include <gsm0411_smr.h>`

## Data Fields
uint64_t | id
int | network
int(* | rl_recv )(struct gsm411_smr_inst *inst, int msg_type, struct msgb *msg)
int(* | mn_send )(struct gsm411_smr_inst *inst, int msg_type, struct msgb *msg)
enum gsm411_rp_state | rp_state
struct osmo_timer_list | rp_timer

## Field Documentation

## ◆ id

uint64_t gsm411_smr_inst::id

Referenced by gsm411_mnsms_data_ind_tx(), gsm411_mnsms_error_ind_rx(), gsm411_mnsms_error_ind_tx(), gsm411_mnsms_est_ind(), gsm411_rl_data_req(), gsm411_rl_report_req(), gsm411_send_abort(), gsm411_send_release(), gsm411_send_report(), gsm411_send_rp_error(), gsm411_smr_clear(), gsm411_smr_init(), gsm411_smr_recv(), gsm411_smr_send(), new_rp_state(), and rp_timer_expired().

## ◆ mn_send

int(* gsm411_smr_inst::mn_send) (struct gsm411_smr_inst *inst, int msg_type, struct msgb *msg)

Referenced by gsm411_rl_data_req(), gsm411_rl_report_req(), gsm411_rp_sendmsg(), gsm411_send_abort(), gsm411_send_release(), and gsm411_smr_init().

## ◆ network

int gsm411_smr_inst::network

Referenced by gsm411_mnsms_data_ind_tx(), gsm411_mnsms_est_ind(), gsm411_send_rp_error(), and gsm411_smr_init().

## ◆ rl_recv

int(* gsm411_smr_inst::rl_recv) (struct gsm411_smr_inst *inst, int msg_type, struct msgb *msg)

Referenced by gsm411_mnsms_data_ind_tx(), gsm411_mnsms_error_ind_rx(), gsm411_mnsms_error_ind_tx(), gsm411_mnsms_est_ind(), gsm411_send_report(), and gsm411_smr_init().

## ◆ rp_state

enum gsm411_rp_state gsm411_smr_inst::rp_state

Referenced by gsm411_smr_init(), gsm411_smr_recv(), gsm411_smr_send(), new_rp_state(), and rp_timer_expired().

## ◆ rp_timer

struct osmo_timer_list gsm411_smr_inst::rp_timer

Referenced by gsm411_mnsms_est_ind(), gsm411_rl_data_req(), gsm411_smr_clear(), gsm411_smr_init(), and new_rp_state().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0411_smr.h